#ifndef UART_UDP_H
#define UART_UDP_H


#ifdef USE_UART1

#include <stdio.h>
#include "uart_hw.h"


#define UDPUartCheckFreeSpace(_) TRUE

#define UDPUartTransmit(_x) uart0_transmit(_x)


/*
 * If you get errors about missing ";", repair
 * ../pprz_transport.h by changing
 *   #define PprzTransportTrailer() { \
 *   PprzTransportPut1Byte(ck_a);  \
 *   PprzTransportPut1Byte(ck_b);  \
 *   PprzTransportSendMessage() \
 *   }
 * into
 *   #define PprzTransportTrailer() { \
 *   PprzTransportPut1Byte(ck_a);  \
 *   PprzTransportPut1Byte(ck_b);  \
 *   PprzTransportSendMessage(); \ <<<<---
 *   }
 *
 *
 */
extern void UDPUartSendMessage();

extern void UDPuart_init_tx( void );

extern void UDPuart_init_rx( void );

extern void UDPuart_transmit( unsigned char data );

extern int UDPuartChAvailable();

extern uint8_t UDPuartGetch();


#endif

#endif
