#ifndef SYS_TIME_HW_H
#define SYS_TIME_HW_H

#include <unistd.h>

#define SYS_TICS_OF_USEC(x) (x)
#define SIGNED_SYS_TICS_OF_USEC(x) (x)

static inline void sys_time_init( void ) {}

// main-loop in ../main.c does a while(1) if (sys_time_periodic()) { run autopilot-polling-code }
#define sys_time_periodic() 1
#define sys_time_usleep(x) usleep(x)

// function to initialize the timer for the main-loop
#define InitSysTimePeriodic()

#endif /* SYS_TIME_HW_H */
